# Add an option to a field

Add a an option for a field.

Supported field types: MultiOption, Option

Endpoint: POST /v2/fields/{fieldId}/options

## Path parameters:

  - `fieldId` (string, required)
    The API name for the field

## Request fields (application/json):

  - `label` (string, required)
    The user defined label of the field option
    Example: Option A

  - `properties` (object)
    Additional properties based on the type of field option. See examples for more details.

## Request examples:

  - `Example of creating a field option` (unknown)

  - `Example of creating a field option for a department field with a parent` (unknown)

## Response 201:

  - `201` (unknown)
    Created

## Response 201 fields (application/json):

  - `value` (string)
    The system generated value for the field option
    Example: option_1

## Response 201 headers (application/json):

  - `Location` (string)
    Location to retrieve the created resource

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/problem+json):

  - `detail` (string)
    More information about the problem.

  - `errors` (object)
    A dictionary of validation errors, where each key is a field api name and the value is a list of error messages.

  - `instance` (string)
    The URI of the resource which the error relates to.

  - `operationId` (string)
    A unique trace identifier for the request. This should be provided when requesting support.

  - `status` (integer)
    The HTTP status code for the problem.

  - `title` (string)
    A short description of the error.

  - `type` (string)
    A URI which can be followed to find out more about the problem.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/problem+json):

  - `detail` (string)
    More information about the problem.

  - `instance` (string)
    The URI of the resource which the error relates to.

  - `operationId` (string)
    A unique trace identifier for the request. This should be provided when requesting support.

  - `status` (integer)
    The HTTP status code for the problem.

  - `title` (string)
    A short description of the error.

  - `type` (string)
    A URI which can be followed to find out more about the problem.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/problem+json):

  - `detail` (string)
    More information about the problem.

  - `instance` (string)
    The URI of the resource which the error relates to.

  - `operationId` (string)
    A unique trace identifier for the request. This should be provided when requesting support.

  - `status` (integer)
    The HTTP status code for the problem.

  - `title` (string)
    A short description of the error.

  - `type` (string)
    A URI which can be followed to find out more about the problem.

## Response 201 examples:

  - `Example of a created field option response` (unknown)

